/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd.
// Author: Santhosh N


#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <tcl.h>
#include "history.h"


int history_interface(ClientData cd, Tcl_Interp *interp,
            int objc, Tcl_Obj *CONST objv[])
{
    char *appid,*filename,*operation,*comment;

    if(objc!=5) {
       Tcl_WrongNumArgs(interp,2,objv,"<appid> <filename> <operation> <comment>");
        return TCL_ERROR;
    }
    if(!(appid=Tcl_GetStringFromObj(objv[1],NULL)))
            return TCL_ERROR;
    if(!(filename=Tcl_GetStringFromObj(objv[2],NULL)))
            return TCL_ERROR;
    if(!(operation=Tcl_GetStringFromObj(objv[3],NULL)))
            return TCL_ERROR;
    if(!(comment=Tcl_GetStringFromObj(objv[4],NULL)))
            return TCL_ERROR;

    add_history(appid, filename, operation[0], comment);

    return TCL_OK;
}
